Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.db
Enum OdfDataType

    java.lang.Object
      java.lang.Enum<OdfDataType>
          org.odftoolkit.odfdom.dom.type.db.OdfDataType

All Implemented Interfaces:
  Serializable, Comparable<OdfDataType>

    public enum OdfDataType

extends Enum<OdfDataType>

DOM implementation of OpenDocument attribute db:data-type.

Enum Constant Summary
`ARRAY`
`BIGINT`
`BINARY`
`BIT`
`BLOB`
`BOOLEAN`
`CHAR`
`CLOB`
`DATE`
`DECIMAL`
`DISTINCT`
`DOUBLE`
`FLOAT`
`INTEGER`
`LONGVARBINARY`
`LONGVARCHAR`
`NUMERIC`
`OBJECT`
`OTHER`
`REAL`
`REF`
`SMALLINT`
`SQLNULL`
`STRUCT`
`TIME`
`TIMESTMP`
`TINYINT`
`VARBINARY`
`VARCHAR`

Method Summary
`static OdfDataType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfDataType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfDataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ARRAY

    public static final OdfDataType ARRAY

### SMALLINT

    public static final OdfDataType SMALLINT

### VARBINARY

    public static final OdfDataType VARBINARY

### LONGVARBINARY

    public static final OdfDataType LONGVARBINARY

### REF

    public static final OdfDataType REF

### BIT

    public static final OdfDataType BIT

### BLOB

    public static final OdfDataType BLOB

### DECIMAL

    public static final OdfDataType DECIMAL

### DOUBLE

    public static final OdfDataType DOUBLE

### TIMESTMP

    public static final OdfDataType TIMESTMP

### INTEGER

    public static final OdfDataType INTEGER

### BIGINT

    public static final OdfDataType BIGINT

### VARCHAR

    public static final OdfDataType VARCHAR

### BOOLEAN

    public static final OdfDataType BOOLEAN

### STRUCT

    public static final OdfDataType STRUCT

### TIME

    public static final OdfDataType TIME

### REAL

    public static final OdfDataType REAL

### DISTINCT

    public static final OdfDataType DISTINCT

### FLOAT

    public static final OdfDataType FLOAT

### DATE

    public static final OdfDataType DATE

### TINYINT

    public static final OdfDataType TINYINT

### OBJECT

    public static final OdfDataType OBJECT

### CLOB

    public static final OdfDataType CLOB

### LONGVARCHAR

    public static final OdfDataType LONGVARCHAR

### CHAR

    public static final OdfDataType CHAR

### NUMERIC

    public static final OdfDataType NUMERIC

### OTHER

    public static final OdfDataType OTHER

### BINARY

    public static final OdfDataType BINARY

### SQLNULL

    public static final OdfDataType SQLNULL

Method Detail

### values

    public static OdfDataType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfDataType c : OdfDataType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfDataType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfDataType>`
  Returns:
    return the name of OdfDataType

### toString

    public static String toString(OdfDataType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfDataType, see db:data-type
  Returns:
    return the name of OdfDataType

### enumValueOf

    public static OdfDataType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfDataType
  Returns:
    return the constant of OdfDataType, see db:data-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.